#ifndef _N310_PARAMETERS_H_
#define _N310_PARAMETERS_H_

#define AXI_GPIO_LEDS		0x83C80000U	// GPIO LEDS base address

#define DBA_TX_XCVR_BASEADDR	0x83C00000U	// Physical Layer
#define DBA_TX_JESD_BASEADDR	0x83C10000U	// Link Layer
#define DBA_TX_CORE_BASEADDR	0x83C20000U	// Transport Layer
#define DBA_TX_CLKGEN_BASEADDR	0x83C30000U	// TX Clock Generator
#define DBA_RX_XCVR_BASEADDR	0x83C40000U	// Physical Layer
#define DBA_RX_JESD_BASEADDR	0x83C50000U	// Link Layer
#define DBA_RX_CORE_BASEADDR	0x83C60000U	// Transport Layer
#define DBA_RX_CLKGEN_BASEADDR	0x83C70000U	// RX Clock Generator

#define DBB_TX_XCVR_BASEADDR	0x83C80000U	// Physical Layer
#define DBB_TX_JESD_BASEADDR	0x83C90000U	// Link Layer
#define DBB_TX_CORE_BASEADDR	0x83CA0000U	// Transport Layer
#define DBB_TX_CLKGEN_BASEADDR	0x83CB0000U	// TX Clock Generator
#define DBB_RX_XCVR_BASEADDR	0x83CC0000U	// Physical Layer
#define DBB_RX_JESD_BASEADDR	0x83CD0000U	// Link Layer
#define DBB_RX_CORE_BASEADDR	0x83CE0000U	// Transport Layer
#define DBB_RX_CLKGEN_BASEADDR	0x83CF0000U	// RX Clock Generator

#endif//_N310_PARAMETERS_H_